// exampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__5D05D027_8D05_4F2E_AD30_16E8B746AC92__INCLUDED_)
#define AFX_EXAMPLEDLG_H__5D05D027_8D05_4F2E_AD30_16E8B746AC92__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog
typedef long __stdcall MSplitBegin(char *infile,char *password);
typedef long __stdcall MSplit(long id,char *output,long mode,char *range);
typedef long __stdcall MSplitEnd(long id);
typedef long __stdcall MMergeBegin();
typedef long __stdcall MMergeSetFiles(long id,char *infile,char *password,char *range);
typedef long __stdcall MMerge(long id,char *outfile);
typedef long __stdcall MMergeEnd(long id);

typedef long __stdcall MWatermark(long id,char *text,long fsize,long fcolor,
								long position,long angle,long xoff,long yoff,long asbackground);

class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
private:
	HMODULE			m_hinstLib;

	MSplitBegin		*pMSplitBegin;
	MSplit			*pMSplit;
	MSplitEnd		*pMSplitEnd;
	
	MMergeBegin		*pMMergeBegin;
	MMergeSetFiles	*pMMergeSetFiles;
	MMerge			*pMMerge;
	MMergeEnd		*pMMergeEnd;

	MWatermark		*pMWatermark;
private:
	BOOL LoadSplitMergeDll();
	BOOL FreeSplitMergeDll();



// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__5D05D027_8D05_4F2E_AD30_16E8B746AC92__INCLUDED_)
